{
  "type": "wizard_samurai:shaped_table",
  "category": "misc",
  "key": {
    "a": {
      "item": "irons_spellbooks:mana_upgrade_orb"
    },
    "d": {
      "item": "irons_spellbooks:lightning_upgrade_orb"
    },
    "e": {
      "item": "irons_spellbooks:protection_upgrade_orb"
    },
    "f": {
      "item": "irons_spellbooks:evocation_upgrade_orb"
    },
    "g": {
      "item": "irons_spellbooks:fire_upgrade_orb"
    },
    "h": {
      "item": "irons_spellbooks:holy_upgrade_orb"
    },
    "j": {
      "item": "irons_spellbooks:blood_upgrade_orb"
    },
    "k": {
      "item": "irons_spellbooks:ice_upgrade_orb"
    },
    "l": {
      "item": "irons_spellbooks:cooldown_upgrade_orb"
    },
    "q": {
      "item": "irons_spellbooks:arcane_ingot"
    },
    "r": {
      "item": "irons_spellbooks:upgrade_orb"
    },
    "s": {
      "item": "irons_spellbooks:nature_upgrade_orb"
    },
    "t": {
      "item": "wizard_samurai:ignis_samurai_helmet"
    },
    "w": {
      "item": "irons_spellbooks:arcane_salvage"
    }
  },
  "pattern": [
    "wqeqw",
    "qjklq",
    "rgthr",
    "qsdfq",
    "wqaqw"
  ],
  "result": {
    "item": "wizard_samurai:ignis_wizard_samurai_helmet"
  },
  "show_notification": true,
  "tier": 2
}